import 'package:dashboard/ui/schema/index.dart';
import 'package:dashboard/ui/schema/util/post_written.dart';
import 'package:dashboard/ui/theme/color_holder.dart';
import 'package:flutter/material.dart';

class SchemaDemoPage1 extends StatefulWidget {
  @override
  _SchemaDemoPage1State createState() => _SchemaDemoPage1State();
}

class _SchemaDemoPage1State extends State<SchemaDemoPage1> {
  void _next() {
    Navigator.of(context).push(
      MaterialPageRoute(
        builder: (context) => SchemaDemo(
          phase: Phase.DETAILS,
        ),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: ColorHolder.color2,
      body: Center(
        child: WrittenPost(_next),
      ),
    );
  }
}
